<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl" href="../../../">
  <title data-ice="title">QueryString | API Document</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  
  
  <script src="script/manual.js"></script>
</head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
</header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  <li data-ice="doc"><div data-ice="dirPath" class="nav-dir-path">core</div><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/core/Core.js~Core.html">Core</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/core/DataSource.js~DataSource.html">DataSource</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/core/Dataset.js~Dataset.html">Dataset</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/core/Environment.js~Environment.html">Environment</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/core/Timeline.js~Timeline.html">Timeline</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-core">core</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-dataSource">dataSource</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-dataset">dataset</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-environment">environment</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-timeline">timeline</a></span></span></li>
<li data-ice="doc"><div data-ice="dirPath" class="nav-dir-path">debug</div><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/debug/TimelineDebug.js~TimelineDebug.html">TimelineDebug</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-timelineDebug">timelineDebug</a></span></span></li>
<li data-ice="doc"><div data-ice="dirPath" class="nav-dir-path">tool</div><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/src/tool/QueryString.js~QueryString.html">QueryString</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-queryString">queryString</a></span></span></li>
</ul>
</div>
</nav>

<div class="content" data-ice="content"><div class="header-notice">
  <div data-ice="importPath" class="import-path"><pre class="prettyprint"><code data-ice="importPathCode">import QueryString from &apos;<span><a href="file/src/tool/QueryString.js.html#lineNumber4">SwitchboardClient/src/tool/QueryString.js</a></span>&apos;</code></pre></div>
  <span data-ice="access">public</span>
  <span data-ice="kind">class</span>
  
  
  
  <span data-ice="source">| <span><a href="file/src/tool/QueryString.js.html#lineNumber4">source</a></span></span>
</div>

<div class="self-detail detail">
  <h1 data-ice="name">QueryString</h1>

  <div data-ice="instanceDocs" class="instance-docs">
    <span>You can directly use instance of this class.</span>
    
  <span data-ice="instanceDoc"><span><a href="variable/index.html#static-variable-queryString">queryString</a></span></span>
</div>

  
  
  
  
  
  
  
  
  

  
  
  <div class="description" data-ice="description"><p>Wraps the core components</p>
</div>

  

  

  

  
</div>


<div data-ice="staticMethodSummary"><h2>Static Method Summary</h2><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">Static Public Methods</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      <span data-ice="static">static</span>
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
           <span data-ice="name"><span><a href="class/src/tool/QueryString.js~QueryString.html#static-method-get">get</a></span></span><span data-ice="signature">(param: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Get a query string parameter</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>







<div data-ice="staticMethodDetails"><h2 data-ice="title">Static Public Methods</h2>

<div class="detail" data-ice="detail">
  <h3 data-ice="anchor" id="static-method-get">
    <span class="access" data-ice="access">public</span>
    <span data-ice="static">static</span>
    
    
    
    <span data-ice="name">get</span><span data-ice="signature">(param: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>): <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></span>
    <span class="right-info">
      
      
      <span data-ice="source"><span><a href="file/src/tool/QueryString.js.html#lineNumber11">source</a></span></span>
    </span>
  </h3>

  
  
  
  <div data-ice="description"><p>Get a query string parameter</p>
</div>

  

  <div data-ice="properties"><div data-ice="properties">
  <h4 data-ice="title">Params:</h4>
  <table class="params">
    <thead>
    <tr><td>Name</td><td>Type</td><td>Attribute</td><td>Description</td></tr>
    </thead>
    <tbody>
    
    <tr data-ice="property" data-depth="0">
      <td data-ice="name" data-depth="0">param</td>
      <td data-ice="type"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></td>
      <td data-ice="appendix"></td>
      <td data-ice="description"><p>The name of the value to get</p>
</td>
    </tr>
</tbody>
  </table>
</div>
</div>

  <div class="return-params" data-ice="returnParams">
    <h4>Return:</h4>
    <table>
      <tr>
        <td class="return-type" data-ice="returnType"><span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span></td>
        <td class="return-desc" data-ice="returnDescription"><p>The corresponding value</p>
</td>
      </tr>
    </table>
    <div data-ice="returnProperties">
</div>
  </div>

  

  

  

  

  

  
  
</div>
</div>



</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(0.4.3)</span></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
